<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 21/07/2015
 * Time: 10:54
 */

namespace Factory;
use \Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Comments {

    /**
     * @param \Zeedhi\DevOps\Model\Projectmanagement\Entities\Task $task
     * @param string $description
     * @param null $commentType
     * @param string $public
     * @return \Zeedhi\DevOps\Model\Projectmanagement\Entities\Comments
     */
    public function createComments($task, $description, $commentType = null, $public = 'Y'){

        $entity = new Entities\Comments();
        $entity->setTask($task);
        $entity->setDescription($description);
        $entity->setCommentType($commentType);
        $entity->setIsPublic($public);

        return $entity;
    }
}
