import { ZdPage } from '@zeedhi/vue';

const routes = [
    {
        path: '/',
        name: 'home',
        component: ZdPage,
        props: () => ({
            path: 'home',
            local: true,
        }),
    },
    {
        path: '/gestao-de-demandas',
        component: ZdPage,
        name: 'demandManagement',
        props: {
            path: 'demandManagement/demandManagement',
            local: true,
        },
    },
    {
        path: '/modules/:module/:page',
        name: 'microservice',
        component: () => import('../views/Microservice.vue'),
    },
    {
        path: '*',
        component: ZdPage,
        props: {
            path: 'notfound',
            local: true,
        },
    },
];

export default routes;
